package lightDisplay;

import java.awt.Color;

import javax.swing.JFrame;

public class LightDisplayFrame extends JFrame {

    LightDisplayPanel ldp;
    
    public LightDisplayFrame() {
        super("LightDisplay");
        this.setSize(200,80);
        this.setLocation(220, 300);
        ldp = new LightDisplayPanel();
        setBlack();
        this.getContentPane().add(ldp);
        this.setVisible(true);
    }

    public void setBlack() {
        ldp.setColor(Color.BLACK);
        this.repaint();
    }
    
    public void setGreen() {
        ldp.setColor(Color.GREEN);
        this.repaint();
    }
    
    public static void main(String[] args) {
        LightDisplayFrame ldf = new LightDisplayFrame();
        ldf.setBlack();
        ldf.setGreen();
    }
}
